# $Revision: 1.23 $, $Date: 2011/03/06 09:57:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Tree
Summary:	Pod::Tree - create a static syntax tree for a POD
Summary(pl.UTF-8):	Pod::Tree - tworzenie statycznych drzew składniowych dla POD
Name:		perl-Pod-Tree
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/SWMCD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7ab2dc16736ce37d1bf82e6065107cf5
Patch0:		%{name}-carriage_return.patch
Patch1:		%{name}-item_warning.patch
URL:		http://search.cpan.org/dist/Pod-Tree/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Stream >= 1.49
BuildRequires:	perl-IO >= 1.23
BuildRequires:	perl-Pod-Escapes >= 1.02
BuildRequires:	perl-Text-Template >= 1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pod::Tree parses a POD into a static syntax tree. Applications walk
the tree to recover the structure and content of the POD. See
Pod::Tree::Node manual for a description of the tree.

%description -l pl.UTF-8
Pod::Tree przekształca POD na statyczne drzewo składniowe. Aplikacje
wędrują po drzewie w celu uzyskania struktury i zawartości z POD. Opis
drzewa można znaleźć w manualu do Pod::Tree::Node.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a skeleton $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo ToDo.Not
%attr(755,root,root) %{_bindir}/mod2html
%attr(755,root,root) %{_bindir}/perl2html
%attr(755,root,root) %{_bindir}/pods2html
%attr(755,root,root) %{_bindir}/podtree2html
%{perl_vendorlib}/Pod/Tree.pm
%{perl_vendorlib}/Pod/Tree
%{_mandir}/man1/mod2html.1p*
%{_mandir}/man1/perl2html.1p*
%{_mandir}/man1/pods2html.1p*
%{_mandir}/man1/podtree2html.1p*
%{_mandir}/man3/Pod::Tree*.3pm*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-Tree.spec,v $
Revision 1.23  2011/03/06 09:57:02  qboosh
- BR versions

Revision 1.22  2011/03/06 09:55:48  qboosh
- updated to 1.17

Revision 1.21  2009/10/07 08:11:06  amateja
- updated to 1.16

Revision 1.20  2008/09/29 20:20:22  qboosh
- sorted BRs
- more verbose files

Revision 1.19  2008/09/29 18:17:43  agaran
- make test fails here if older IO is available

Revision 1.18  2008/02/05 22:42:22  radek
- version 1.15

Revision 1.17  2007-06-03 08:14:25  qboosh
- reverted Source URL to gpm-friendly version

Revision 1.16  2007/06/03 07:51:36  agaran
- up to 1.13, rel 1, added missing br, builds here

Revision 1.15  2007/03/26 22:16:16  radek
- rel 2

Revision 1.14  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.12  2006/12/22 00:41:46  qboosh
- generic URL

Revision 1.11  2004/12/01 18:06:55  radek
- autoupdated to 1.11

Revision 1.10  2004/11/03 22:30:40  paladine
- formatting

Revision 1.9  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.8  2004/06/13 21:24:19  radek
- forgontten: apply the patch

Revision 1.7  2004/06/13 21:20:22  radek
- release 3: added -item_warning.patch

Revision 1.6  2004/06/05 21:55:14  adamg
- be less destructive (remove only pod2html binary)

Revision 1.5  2004/06/05 21:50:50  adamg
- do not include pod2html binary, conflicts with pod2html from
  perl-tools-pod - which one to choose?

Revision 1.4  2004/06/05 19:05:39  radek
- added -carriage_return.patch (y/\r//d on input files)

Revision 1.3  2004/06/05 14:01:16  qboosh
- pl, 755 for bindir files

Revision 1.2  2004/06/05 12:17:37  radek
- skeleton to %_examplesdir

Revision 1.1  2004/06/05 12:09:00  radek
- new
